Subject: Re: [tsvwg] Draft diffuser to QCI v04 posted

From: "Gengxuesong (Geng Xuesong)" <[email-masked]>
Date: Wed, 15 Apr 2020 07:40:09 +0000

Hi Jerome,

Seems good to me. Hope to see further progress of this draft soon.

Best Regards
Xuesong

From: Jerome Henry (jerhenry) [mailto:[email-masked]]
Sent: Wednesday, April 15, 2020 6:06 AM
To: Gengxuesong (Geng Xuesong) <[email-masked]>; Black, David <[email-masked]>; Jerome Henry (jerhenry) <jerhenry=[email-masked]>; tsvwg <[email-masked]>
Subject: Re: [tsvwg] 答复: Draft diffuser to QCI v04 posted

Thank you Xuesong,

We talked a lot informally to various people working in the development of 3GPP Standards. This was useful in the beginning, to better guide our understanding of the intent of each QCI. Then, when the draft was shared in the tsvwg, people familiar with 3GPP work were also friendly enough to remind us that carrier interconnect operations are decided in other forums, for example GSMA and probably others. Maybe this work will be useful to them (and maybe not), time will tell. They probably do not need this work to decide of an interconnect mapping need and solve it if it presents itself. Maybe our conclusion on mapping can be useful if they decide that such work is needed, but our scope is more on the Diffserv side.
I also agree with you that, besides a mapping conclusion, we may also find that we should (in the IETF) define new traffic types. It seems that with VR and IoT, new flows are appearing that do not fit well in our current model.

My 2 cents

Take care

Jerome

From: tsvwg <[email-masked]<mailto:[email-masked]>> on behalf of "Gengxuesong (Geng Xuesong)" <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, April 14, 2020 at 5:11 PM
To: "Black, David" <[email-masked]<mailto:[email-masked]>>, "Jerome Henry (jerhenry)" <jerhenry=[email-masked]<mailto:jerhenry=[email-masked]>>, tsvwg <[email-masked]<mailto:[email-masked]>>
Subject: [tsvwg] 答复: Draft diffuser to QCI v04 posted

Hi David,

I agree that direct feedback from 3GPP people is very helpful. However, I still think it will be great, at some stage, to have an official liaison to make this work more solid.
And, I’m wondering maybe we will have some very interesting conclusion from this draft, for example some new DSCPs may be needed to implement similar QoS intend as QCI/5QI does, which could also be very instructive in the scenario of “carrier to carrier interconnecting”.

Best Regards
Xuesong

发件人: Black, David [mailto:[email-masked]]
发送时间: 2020年4月15日 2:56
收件人: Gengxuesong (Geng Xuesong) <[email-masked]<mailto:[email-masked]>>; Jerome Henry (jerhenry) <jerhenry=[email-masked]<mailto:jerhenry=[email-masked]>>; tsvwg <[email-masked]<mailto:[email-masked]>>
抄送: Black, David <[email-masked]<mailto:[email-masked]>>
主题: RE: Draft diffuser to QCI v04 posted

Hi Xuesong,

We’ve not needed to resort to exchanging liaison statements ... at least not yet.  There were some very productive conversations with 3GPP folks back at IETF 105 in Montreal, which were the source of some of the guidance that I’ve passed along here.   We (WG chairs) will have to see what we can do in the absence of in-person IETF meeting weeks.

Thanks, --David

From: Gengxuesong (Geng Xuesong) <[email-masked]<mailto:[email-masked]>>
Sent: Tuesday, April 14, 2020 12:21 PM
To: Black, David; Jerome Henry (jerhenry); tsvwg
Subject: 答复: Draft diffuser to QCI v04 posted

[EXTERNAL EMAIL]
Hi David,

Thank you for your explanation. I agree that we should hear the voice from 3GPP. I’m not quite familiar with the procedure, but I am wondering will we have a liaison to discuss this issue and get to some agreement between 3GPP and IETF formally? (or we maybe we already have?)

Best Regards
Xuesong

发件人: Black, David [mailto:[email-masked]]
发送时间: 2020年4月14日 22:26
收件人: Gengxuesong (Geng Xuesong) <[email-masked]<mailto:[email-masked]>>; Jerome Henry (jerhenry) <jerhenry=[email-masked]<mailto:jerhenry=[email-masked]>>; tsvwg <[email-masked]<mailto:[email-masked]>>
抄送: Black, David <[email-masked]<mailto:[email-masked]>>
主题: RE: Draft diffuser to QCI v04 posted

Hi Xuesong,

> I notice that in the previous email, the scenario of ”carrier to carrier interconnect”
> seems to be excluded from the scope of the document. If I understand this right,
> the “carrier to carrier interconnect” here means that the RAN or CN belongs to
> one carrier and the TN belongs to another carrier. I think this is the most general
> use case for “QCI/5QI and DSCP mapping” . Considering that this draft is supposed
> to be “informational”, I think there is no harm to include this scenario in the draft at this stage ☺

Among the relevant considerations is that RFC 4594 (Diffserv Service Classes) is Informational, but has had sufficient adoption to be viewed as a de facto standard by some.  The TSVWG chairs have had a number of discussions with 3GPP participants/representatives, and would want to ensure that covering this use case (even in an Informational document) is acceptable to 3GPP before including that use case in a draft that the WG adopts.  In those discussions, we have heard strong 3GPP objections to the IETF advising large mobile carriers on interconnections among themselves, or as Jerome writes:

>> We do not think that these actors [large Carriers] need an IETF proposal to decide on
>> how they should mark traffic that they exchange, and such interconnect is better
>> defined in professional settings between Carriers.

Thanks, --David (TSVWG co-chair)

From: tsvwg <[email-masked]<mailto:[email-masked]>> On Behalf Of Gengxuesong (Geng Xuesong)
Sent: Monday, April 13, 2020 11:44 PM
To: Jerome Henry (jerhenry); tsvwg
Subject: Re: [tsvwg] Draft diffuser to QCI v04 posted

[EXTERNAL EMAIL]
Hi Jerome,

Thank you for your work. I think it is especially  useful for 5G deployment.
I notice that in the previous email, the scenario of ”carrier to carrier interconnect” seems to be excluded from the scope of the document. If I understand this right, the “carrier to carrier interconnect” here means that the RAN or CN belongs to one carrier and the TN belongs to another carrier. I think this is the most general use case for “QCI/5QI and DSCP mapping” . Considering that this draft is supposed to be “informational”, I think there is no harm to include this scenario in the draft at this stage ☺

Best Regards
Xuesong

From: tsvwg [mailto:[email-masked]] On Behalf Of Jerome Henry (jerhenry)
Sent: Tuesday, April 14, 2020 2:01 AM
To: tsvwg <[email-masked]<mailto:[email-masked]>>
Subject: [tsvwg] Draft diffuser to QCI v04 posted

Dear tsvwg,

Following our interim meeting last week, we posted an updated version of draft-diffserv-to-qci (https://datatracker.ietf.org/doc/draft-henry-tsvwg-diffserv-to-qci/).
This version integrates the feedback that was shared during the interim meeting (formatting error on one table, clarification that no IANA action was mandated).

We discussed extensively on thoughts that were shared during the interim meeting. We had also noticed that several groups had proposed DSCP values for QCI labels. ATIS was named specifically, but other organizations (e.g. NGMN) have proposed such maps. However, we found that the maps available were reflective of a specific point in time, and specific focus. As such, most mapping proposals only consider a small subset of the possible QCIs defined today, and also solely focus on a specific context (which, in the examples above, is typically Carrier to Carrier interconnect). We do not think that these actors need an IETF proposal to decide on how they should mark traffic that they exchange, and such interconnect is better defined in professional settings between Carriers.
By contrast, enterprises that implement dual path (Diffserv on one side, 3GPP on the other) for their UEs are in need of wanting to align their Diffserv markings and treatment to those they have agreed upon with their Carrier, thus creating a requirement different from the above. It seems to us that this draft can help propose such map. Dynamic negotiation (e.g. a-la-RFC 8100) and exchanges (a-la- draft-knoll-idr-qos-attribute-24) are undoubtedly very promising ways of implementing a QoS marking dialog at the interconnection point, but in a world where 3GPP has defined close to 30 traffic types, it seems that there is still a need for us (IETF) to propose a way to express these intents into Diffserv.

We are looking forward to receiving additional feedback on this version.

Best

Jerome